%define oname   pyu-ruby-sasl

Name:       ruby-%{oname}
Version:    0.0.3.2
Release:    %mkrel 1
Summary:    SASL client library
License:    Ruby or GPLv2
Group:      Development/Ruby
URL:        http://github.com/pyu10055/ruby-sasl/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Simple Authentication and Security Layer (RFC 4422)

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.0.3.2-1.mga1
+ Revision: 87041
- imported package ruby-pyu-ruby-sasl


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.0.3.2-1
- Initial package
